package de.hamster.workbench;

import java.io.File;

import javax.swing.filechooser.FileFilter;

/**
 * Diese Klasse filtert die Dateien, die im JFile-Chooser angezeigt werden. Der
 * Filter ist so konfigurierbar, dass er entweder nur Programme oder nur
 * Territorien anzeigt. Alle uebrigen Datei (generierte java- oder
 * class-Dateien) werden nicht ausgeblendet.
 * 
 * @author Daniel Jasper
 */
public class HamsterFileFilter extends FileFilter implements java.io.FileFilter {
	public static final HamsterFileFilter HAM_FILTER = new HamsterFileFilter(
			".ham", "Programm");
	public static final HamsterFileFilter TER_FILTER = new HamsterFileFilter(
			".ter", "Territorium");

	private String extension;
	private String description;

	public HamsterFileFilter(String extension, String description) {
		this.extension = extension;
		this.description = description;
	}
	public boolean accept(File f) {
		return f.getName().endsWith(extension) || f.isDirectory();
	}

	public String getDescription() {
		return description;
	}
	public String getExtension() {
		return extension;
	}
}